<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tisquare.mvp.mcs.db.BssEmpDao">
    <select id="selectBssEmp" parameterType="com.tisquare.mvp.mcs.model.UserInfo" resultType="com.tisquare.mvp.mcs.model.BssEmp">
       <![CDATA[
        SELECT CP_CODE, EMP_ID, EMP_PWD, EMP_MDN, IUID, CAUTH_KEY, EMP_TYPE, IS_DEFAULT_INVITE, AGENCY_CODE, LAST_LOGIN, FIRST_LOGIN, DEVICE_DUP_F FROM T_BSS_EMPLOYEE WHERE IUID = #{iuid}
       ]]>
    </select>

<!--
    <select id="selectBssCommander" parameterType="com.tisquare.mvp.mcs.model.UserInfo" resultType="com.tisquare.mvp.mcs.model.BssEmp">
        <![CDATA[
        SELECT A.CP_CODE, A.COMMANDER_ID as EMP_ID, A.COMMANDER_PWD as EMP_PWD,  A.IUID, A.CAUTH_KEY, B.EMP_TYPE, B.IS_DEFAULT_INVITE, B.AGENCY_CODE, B.LAST_LOGIN, B.FIRST_LOGIN, B.DEVICE_DUP_F, B.EMP_MDN
        FROM T_BSS_COMMANDER A, T_BSS_EMPLOYEE B WHERE A.IUID = #{iuid} AND A.IUID = B.IUID
       ]]>
    </select>
-->

    <select id="selectBssCommander" parameterType="com.tisquare.mvp.mcs.model.UserInfo" resultType="com.tisquare.mvp.mcs.model.BssEmp">
        <![CDATA[
          SELECT A.CP_CODE, A.COMMANDER_ID as EMP_ID, A.COMMANDER_PWD as EMP_PWD,  A.IUID, A.CAUTH_KEY, A.IS_DEFAULT_INVITE, B.AGENCY_CODE, A.LAST_LOGIN, A.FIRST_LOGIN, A.COMMANDER_MDN as emp_mdn
            FROM T_BSS_COMMANDER_INFO A, T_BSS_COMPANY B  WHERE A.IUID = #{iuid} AND A.ACTIVE_COMMANDER = 1 AND A.CP_CODE  = B.CP_CODE
       ]]>
    </select>


    <select id="selectBssCommanderPhone" parameterType="com.tisquare.mvp.mcs.model.Bssinfo" resultType="Long">
        <![CDATA[
        SELECT IUID FROM T_CLIENT WHERE IUID =
          (SELECT IUID FROM T_BSS_COMMANDER_INFO WHERE COMMANDER_ID = #{bss_id} AND COMMANDER_PWD = #{bss_pwd}) AND IS_WITHDRAW = 0
       ]]>
    </select>

    <select id="selectBssEmpCpCode" parameterType="com.tisquare.mvp.mcs.model.NoticeReqHeaders" resultType="com.tisquare.mvp.mcs.model.BssEmp">
        <![CDATA[
        SELECT CP_CODE, EMP_ID, EMP_PWD, EMP_MDN, IUID, CAUTH_KEY, EMP_TYPE, IS_DEFAULT_INVITE, AGENCY_CODE, LAST_LOGIN, FIRST_LOGIN FROM T_BSS_EMPLOYEE WHERE IUID = #{iuid} AND CAUTH_KEY = #{cAuthKey}
       ]]>
    </select>

    <update id="updateFirstLoginDateEmp" parameterType="java.lang.Long" >
        <![CDATA[
        UPDATE T_BSS_EMPLOYEE SET LAST_LOGIN = NOW(), FIRST_LOGIN = NOW() WHERE IUID = #{iuid}
       ]]>
    </update>

    <update id="updateLoginDateEmp" parameterType="java.lang.Long" >
        <![CDATA[
        UPDATE T_BSS_EMPLOYEE SET LAST_LOGIN = NOW()  WHERE IUID = #{iuid}
       ]]>
    </update>

    <update id="updateFirstLoginDateCommander" parameterType="java.lang.Long" >
        <![CDATA[
        UPDATE T_BSS_COMMANDER_INFO SET LAST_LOGIN = NOW(), FIRST_LOGIN = NOW() WHERE IUID = #{iuid}
       ]]>
    </update>

    <update id="updateLoginDateCommander" parameterType="java.lang.Long" >
        <![CDATA[
        UPDATE T_BSS_COMMANDER_INFO SET LAST_LOGIN = NOW()  WHERE IUID = #{iuid}
       ]]>
    </update>


    <update id="updateChgPwd" parameterType="com.tisquare.mvp.mcs.model.Bssinfo" >
        <![CDATA[
        UPDATE T_BSS_EMPLOYEE SET EMP_PWD = #{new_bss_pwd}  WHERE IUID = #{iuid}
       ]]>
    </update>

    <update id="updateDeviceChgF" parameterType="java.lang.Long" >
        <![CDATA[
          UPDATE T_BSS_EMPLOYEE SET DEVICE_DUP_F = 1  WHERE IUID = #{iuid}
       ]]>
    </update>





</mapper>
